package ru.landgrafhomyak.db.raw_sql_skeleton

public class Column(
	public val table: Table,
	public val name: String,
	public val referenceType: String,
	public val declarationType: String
) {
	public constructor(table: Table, name: String, type: String) : this(table, name, type, type)

	public val asSqlReference: String = "\"${this.name}\""
	public val asSqlString: String = "\'${this.name}\'"

	override fun toString(): String = this.asSqlReference
}